Add creators to a CRM list
curl --request POST \
--url https://api.topyappers.com/api/v2/crm/lists/{list_id}/creators \
--header 'Content-Type: application/json' \
--header 'x-ty-api-key: <api-key>' \
--data '
{
"userIds": [
"instagram_57971538386",
"instagram_58848167468"
],
"status": "TO_OUTREACH",
"notes": "Imported from June search"
}
'import requests
url = "https://api.topyappers.com/api/v2/crm/lists/{list_id}/creators"
payload = {
"userIds": ["instagram_57971538386", "instagram_58848167468"],
"status": "TO_OUTREACH",
"notes": "Imported from June search"
}
headers = {
"x-ty-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-ty-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
userIds: ['instagram_57971538386', 'instagram_58848167468'],
status: 'TO_OUTREACH',
notes: 'Imported from June search'
})
};
fetch('https://api.topyappers.com/api/v2/crm/lists/{list_id}/creators', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "OK",
"response": {
"data": [
{
"id": "<string>",
"list_id": "<string>",
"user_id": "<string>",
"contact_email": "<string>",
"handle": "<string>",
"first_contact_date": "<string>",
"last_contact_date": "<string>",
"response_date": "<string>",
"proposed_rate": 123,
"agreed_rate": 123,
"content_deliverables": "<string>",
"notes": "<string>",
"active": true,
"date_created": "<string>",
"date_updated": "<string>",
"influencer": {}
}
],
"requested_count": 123,
"processed_count": 123,
"added_count": 123,
"created_count": 123,
"reactivated_count": 123,
"skipped_duplicate_count": 123,
"skipped_invalid_count": 123
}
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}Adds one or more creator IDs to a CRM list. Use userIds for all adds. Single-creator adds may include contact metadata such as contactEmail and proposedRate when userIds contains exactly one creator.
POST
/
api
/
v2
/
crm
/
lists
/
{list_id}
/
creators
Add creators to a CRM list
Authorizations
Path Parameters
CRM list ID.
Body
application/json
Required array length:
1 - 500 elementsAvailable options:
TO_OUTREACH, OUTREACHED, NEGOTIATING, WORKING, DONE, CANCELLED Allowed only when userIds contains one creator.
Allowed only when userIds contains one creator.
Allowed only when userIds contains one creator.
Allowed only when userIds contains one creator.
Required range:
x >= 0⌘I
